Package com.google.protobuf

# Interface ListValueOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ListValue`, `ListValue.Builder`

public interface ListValueOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`Value`
`getValues(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`int`
`getValuesCount()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<Value>`
`getValuesList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`ValueOrBuilder`
`getValuesOrBuilder(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<? extends ValueOrBuilder>`
`getValuesOrBuilderList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getValuesList

List<Value> getValuesList()
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`

### getValues

Value getValues(int index)
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`

### getValuesCount

int getValuesCount()
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`

### getValuesOrBuilderList

List<? extends ValueOrBuilder> getValuesOrBuilderList()
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`

### getValuesOrBuilder

ValueOrBuilder getValuesOrBuilder(int index)
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`